Bug 1090853 - duplicate binaries of llvm4 and llvm5
duplicate binaries of llvm4 and llvm5
Status: RESOLVED FIXED
: 1093707 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 15.0
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Michal Srb
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-25 09:03 UTC by Ludwig Nussel
Modified: 2018-05-18 12:26 UTC (History)
8 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2018-04-25 09:03:42 UTC
llvm4 and llvm5 produce binaries with the same name:

libc++-devel
libc++1
libc++1-debuginfo
libc++abi-devel
libc++abi1
libc++abi1-debuginfo
python3-clang

obs cannot handle that properly. Please make sure only one llvm package creates those or include the llvm version in the package name. For now I will disable llvm4 in leap, therefore break klee and creduce.
Comment 1 Ismail Dönmez 2018-04-25 09:08:06 UTC
Only the latest stable llvm version should provide libc++ & libc++abi packages. Since it's always ABI compatible old clang can use them as well.
Comment 2 Ludwig Nussel 2018-04-25 09:28:32 UTC
so maybe a model similar to gcc is needed where the prjconf defines the default version
Comment 3 Michal Srb 2018-04-25 11:12:16 UTC
(In reply to Ismail Donmez from comment #1)
> Only the latest stable llvm version should provide libc++ & libc++abi
> packages. Since it's always ABI compatible old clang can use them as well.

That makes sense.

(In reply to Ludwig Nussel from comment #2)
> so maybe a model similar to gcc is needed where the prjconf defines the
> default version

We have a meta package "llvm" that depends on the default version. But if we have to conditionally disable the build of some subpackages, then I guess a prjconf define would be the way to get it?
Comment 4 Ludwig Nussel 2018-04-26 13:30:00 UTC
yes. meanwhile I've dropped llvm4 and its reverse deps from leap.
Comment 5 Michal Srb 2018-05-18 12:26:23 UTC
I have disabled build of libc++*, python3-clang and libFuzzer packages in all except the last major version that provides them.

https://build.opensuse.org/request/show/610299
https://build.opensuse.org/request/show/610300
Comment 6 Michal Srb 2018-05-18 12:26:55 UTC
*** Bug 1093707 has been marked as a duplicate of this bug. ***